<?php
	error_reporting(E_ALL & ~E_WARNING & ~E_NOTICE);               //Errors catching
	//error_reporting(E_ERROR | E_WARNING | E_PARSE | E_NOTICE);   //To find all errors
	//error_reporting(E_ALL);	                                   //Report all errors

	header("Content-Type: text/html; charset=utf-8");

	header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");              //No website caching is set here on this lines
	header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
	header("Cache-Control: no-store, no-cache, must-revalidate");
	header("Cache-Control: post-check=0, pre-check=0", false);
	header("Pragma: no-cache");

	ini_set("date.timezone", "America/Los_Angeles");               // Date timezone America
?>
<!DOCTYPE html>
<html lang="en">
<head>

	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<meta name="description" content="">
	<meta name="author" content="">
	<title>Free FAQ Accordion &amp; Email Contact Form Scripts</title>
	<link rel="icon" type="image/x-icon" href="fav/favicon.ico">

	<!-- ======= Core theme CSS (includes Bootstrap) ======= -->
	<link href="css/bootstrap.min.css?ver=<?php echo uniqid();?>" rel="stylesheet" media="all">
	<link href="css/parallax-style.css?ver=<?php echo uniqid();?>" rel="stylesheet" media="all">
	<link href="css/underline-style.css?ver=<?php echo uniqid();?>" rel="stylesheet" media="all">
	<link href="css/faq-accordion-style.css?ver=<?php echo uniqid();?>" rel="stylesheet" media="all">
	<link href="css/faq-emailform-style.css?ver=<?php echo uniqid();?>" rel="stylesheet" media="all">
	<link href="https://use.fontawesome.com/releases/v6.5.1/css/all.css" rel="stylesheet" media="all">

</head>
<body id="page-top">

	<!-- ======= Navigation ======= -->
	<nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top" id="mainNav">
		<div class="container px-4">
			<a class="navbar-brand" href="index">Free BS5 FAQ &amp; EmailForms</a>
			<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation"><span class="navbar-toggler-icon"></span></button>
			<div class="collapse navbar-collapse" id="navbarResponsive">
				<ul class="navbar-nav ms-auto">
					<li class="nav-item"><a class="nav-link" href="index.php">faq@emailForm</a></li>
					<li class="nav-item"><a class="nav-link" href="contact-small.php">emailForm@small</a></li>
					<li class="nav-item"><a class="nav-link" href="contact-medium.php">emailForm@medium</a></li>
					<li class="nav-item"><a class="nav-link" href="contact-large.php">emailForm@large</a></li>
				</ul>
			</div>
		</div>
	</nav>

	<!-- ======= Header ======= -->
	<header class="parallax-hero-image">
		<div class="container">
			<div class="hero-text gold">
				<h1>FAQ &amp; Email Contact Form</h1>
				<h2>Free PHP Script For Your Website</h2>
				<h2>Scroll Down &#8628;</h2>
			</div>
		</div>
	</header>

	<!-- ======= Text Area Section ======= -->
	<section class="my-5 py-5">
		<div class="container">
		<div class="double-underline-center">
			<h2 class="double-underline">Free Script</h2>
		</div>
			<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor 
			incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco 
			laboris nisi ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetur adipiscing 
			elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, 
			quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>
		</div>
	</section>

    <!-- ======= F.A.Q Section ======= -->
	<section class="faq emailform section-bg section-box-shadow mt-5 mb-5" id="emailsent" style="background: url('./img/gray-abstract-bg.jpg') no-repeat fixed center center; background-size: cover;">
      <div class="container">
	    <div class="row">
        <div class="col-lg-7 mt-5 mb-5">

        <div class="accordion-title text-center mt-5">
          <h2>Frequently Asked Questions</h2>
          <p>Here you can find answers to the most common questions about our company.</p>
        </div>

        <div class="faq-list pt-0">
          <ul>
            <li>
              <i class="fa-regular fa-circle-question icon-help"></i><a data-bs-toggle="collapse" class="collapse" data-bs-target="#faq-list-1">
			  Who is the company Big Shop? <i class="fa-solid fa-sort-down icon-show"></i><i class="fa-solid fa-caret-up icon-close"></i></a>
              <div id="faq-list-1" class="collapse show" data-bs-parent=".faq-list">
                <p>
                  Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. 
				  Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
                </p>
              </div>
            </li>

            <li>
              <i class="fa-regular fa-circle-question icon-help"></i><a data-bs-toggle="collapse" data-bs-target="#faq-list-2" class="collapsed">
			  What service does Big Shop offer? <i class="fa-solid fa-sort-down icon-show"></i><i class="fa-solid fa-caret-up icon-close"></i></a>
              <div id="faq-list-2" class="collapse" data-bs-parent=".faq-list">
                <p>
                  Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. 
				  Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
                </p>
              </div>
            </li>

            <li>
              <i class="fa-regular fa-circle-question icon-help"></i><a data-bs-toggle="collapse" data-bs-target="#faq-list-3" class="collapsed">
			  How to place an order at Big Shop? <i class="fa-solid fa-sort-down icon-show"></i><i class="fa-solid fa-caret-up icon-close"></i></a>
              <div id="faq-list-3" class="collapse" data-bs-parent=".faq-list">
                <p>
                  Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. 
				  Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
                </p>
              </div>
            </li>

            <li>
              <i class="fa-regular fa-circle-question icon-help"></i><a data-bs-toggle="collapse" data-bs-target="#faq-list-4" class="collapsed">
			  What is the best way to contact Big Shop? <i class="fa-solid fa-sort-down icon-show"></i><i class="fa-solid fa-caret-up icon-close"></i></a>
              <div id="faq-list-4" class="collapse" data-bs-parent=".faq-list">
                <p>
                  Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. 
				  Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
                </p>
              </div>
            </li>

            <li>
              <i class="fa-regular fa-circle-question icon-help"></i><a data-bs-toggle="collapse" data-bs-target="#faq-list-5" class="collapsed">
			  Any other questions about the products at Big Shop? <i class="fa-solid fa-sort-down icon-show"></i><i class="fa-solid fa-caret-up icon-close"></i></a>
              <div id="faq-list-5" class="collapse" data-bs-parent=".faq-list">
                <p>
                  Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. 
				  Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.&nbsp;<i class="fa-regular fa-face-smile"></i>
                </p>
              </div>
            </li>

          </ul>
        </div>
        </div>

        <div class="col-lg-5 mt-5 mb-5">

        <div class="accordion-title text-center mt-5">
          <h2>Get in Touch With Us</h2>
          <p>Do you have any questions? Email contact us directly here.</p>
        </div>

			<form method="post" action="<?php echo htmlspecialchars($_SERVER['PHP_SELF']);?>#emailsent">
			<input name="security" type="hidden" value="secure">
		<div class="row">
			<div class="form-group col-md-12 mb-3 pt-0">
				<input name="name" type="text" class="form-control rounded" id="InputName" placeholder="Your Name Here *" required>
			</div>
			<div class="form-group col-md-12 mb-3">
				<input name="email" type="email" class="form-control rounded" id="InputEmail" aria-describedby="emailHelp" placeholder="Your Email Here *" required>
			</div>
        </div>
			<div class="form-group mb-2">
				<textarea style="margin: 0px 0 -4px 0px" name="message" type="text" class="form-control rounded" id="TextareaMessage" rows="8" placeholder="Your Message Here *" required></textarea>
			</div>
			<div class="form-check ms-1 mb-3">
				<input type="hidden" name="optin" value="0">
				<input type="checkbox" id="opt-in" name="optin" value="1" class="form-check-input" required>
				<label for="opt-in" style="margin: 2px 0 0 4px">APPROVE NOTICE &nbsp;<span class="req">* Mandatory field</span></label>
			</div>
		<?php
			error_reporting(0);
			if (isset($_POST['sendform']) && ($_POST['security'] == 'secure')):
				if (!empty($_POST['email'])):
					if (!empty($_POST['optin'])):

						$formmail = "info(at)example.com"; //Edit to your own recipient email here

						$name = htmlspecialchars(stripslashes(trim($_POST['name'])));
						$email = htmlspecialchars(stripslashes(trim($_POST['email'])));
						$message = nl2br(htmlspecialchars(stripslashes(trim($_POST['message']))));
						//$message = wordwrap($message, 140, "<br/>");

						if (preg_match("/^[^0-9][_a-z0-9-]+(\.[_a-z0-9-]+)*@[a-z0-9-]+(\.[a-z0-9-]+)*(\.[a-z]{2,3})$/", $email)):

						// Date when the email was created
						$name_day = array("Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday");
						$num_day = date("w");
						$day = $name_day[$num_day];
						$date = date("d");
						$month = date("m");
						$year = date("Y");
						$time = date("h:i A");

							$subject = "Company Name - contact form inquiry from: " .$name. "";
							$message = "
								<!DOCTYPE html>
                                <html lang='en'>
                                <head>
								<meta charset='utf-8'>
                                <title>Inquiry email to - Company Name</title>
								<style>
								body {
								  font-family: Arial, Helvetica, sans-serif;
								  font-size: 16px;
								  color: #333;
								}
								table {
								  border-collapse: collapse;
								  max-width: 1000px;
								}
								th {
								  border: 1px solid #e9e9e9;
								  background-color: #dee9ec;
								  font-size: 20px;
								  text-align: left;
								  padding: 6px 10px;
								}
								td {
								  border: 1px solid #e9e9e9;
								  vertical-align: top;
								  font-size: 16px;
								  text-align: left;
								  padding: 6px 10px;
								}
								.spacer {
								  border: 0px;
								  padding: 4px 0px;
								}
								.col-td-1 {
								  width: 18%;
								  font-weight: bold;
								  background-color: #fafafa;
								}
								.col-td-2 {
								  width: 82%;
								}
								</style>
                                </head>
								<body>
								<table>
								<tr>
								  <th colspan=\"2\" width=\"100%\">&#9993;&nbsp; E-mail contact request to - Company Name</th>
								</tr>
								<tr>
								  <td colspan=\"2\" width=\"100%\" class=\"spacer\"></td>
								</tr>
								<tr>
								  <td class=\"col-td-1\">The date of receipt:</td><td class=\"col-td-2\">" .$day. ", " .$date. "/" .$month. "/" .$year. " - " .$time. "</td>
								</tr>
								<tr>
								  <td class=\"col-td-1\">The sender's name:</td><td class=\"col-td-2\">" .$name. "</td>
								</tr>
								<tr>
								  <td class=\"col-td-1\">The e-mail address:</td><td class=\"col-td-2\">" .$email. "</td>
								</tr>
								<tr>
								  <td class=\"col-td-1\">The query message:</td><td class=\"col-td-2\">" .$message. "</td>
								</tr>
								</table>
								<br/><br/><br/>
								</body>
								</html>
							";

							$userSubject = "Your inquiry to - Company Name - has been received.";
							$userMessage = "
								<!DOCTYPE html>
								<html lang='en'>
								<head>
								<meta charset='utf-8'>
								<title>Thank you for your inquiry to us</title>
								<style>
								body {
								  font-family: Arial, Helvetica, sans-serif;
								  font-size: 16px;
								  color: #333;
								}
								p {
								  font-size: 16px;
								}
								</style>
								</head>
								<body>
								  <p>Dear " .$name. "</p>
								  <p>Thank you for your email inquiry to us.<br>You will receive an answer from us as soon as possible :)</p>
								  <p>Kind regards from - Company Name</p>
								</body>
								</html>
							";

							$headers = "MIME-Version: 1.0" . "\r\n";
							$headers .= "Content-Transfer-Encoding: 8bit" . "\r\n";
							$headers .= "Content-Type: text/html; charset=utf-8" . "\r\n";
							$headers .= "From: " .$email. "\r\n";
							$headers .= "Reply-To: " .$email. "\r\n";
							$headers .= "Date: " .date("D, d M Y h:s:i"). " +0200" . "\r\n";
							$headers .= "X-Mailer: PHP/ " .phpversion(). "\r\n\r\n";

							mail($email, $userSubject, $userMessage, $headers);

							if(mail($formmail, $subject, $message , $headers)):
								echo '
									<div class="alert alert-success" role="alert">
										Thank you ' .$name. '! Your contact request has submitted successfully, we will get back to you soon.
									</div>
								';
							else :
								echo '
									<div class="alert alert-danger" role="alert">
										Your request was not sent ' .$name. '! Something has gone wrong - try again or try again later.
									</div>
								';
							endif;

						else :
							echo '
								<div class="alert alert-danger" role="alert">
									Please enter a valid email address.
								</div>
							';
						endif;

					else :
						echo '
							<div class="alert alert-danger" role="alert">
								Have you read the privacy policy? So please confirm.
							</div>
						';
					endif;

				else :
					echo '
						<div class="alert alert-danger" role="alert">
							Please enter an email address.
						</div>
					';
				endif;
			endif;
		?>
			<button type="submit" name="sendform" class="btn mb-5 rounded"><i class="fa-solid fa-paper-plane pe-2"></i>SEND EMAIL</button>
		</form>

        </div>
      </div>
    </section><!-- End F.A.Q Section -->

	<!-- ======= Text Area Section ======= -->
	<section class="my-5 py-5">
		<div class="container">
		<div class="double-underline-center">
			<h2 class="double-underline">More Info</h2>
		</div>
			<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor 
			incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco 
			laboris nisi ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetur adipiscing 
			elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, 
			quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
			Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor 
			incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco 
			laboris nisi ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetur adipiscing 
			elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, 
			quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
			Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor 
			incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco 
			laboris nisi ut aliquip ex ea commodo consequat. Lorem ipsum dolor sit amet, consectetur adipiscing 
			elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, 
			quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>
		</div>
	</section>

	<!-- ======= Footer ======= -->
	<footer class="py-5 bg-dark">
		<div class="container px-4"><p class="m-0 text-center text-white">Copyright &copy; <script>document.write(new Date().getFullYear());</script> -  Your Website - All Rights Reserved</p></div>
	</footer>

	<!-- ======= Bootstrap core JS ======= -->
	<script src="js/bootstrap.bundle.min.js?ver=<?php echo uniqid();?>"></script>

	<!-- ======= Core hero parallax JS ======= -->
	<script src="js/parallax-script.js?ver=<?php echo uniqid();?>"></script>

	<!-- ======= Core theme JS ======= -->
	<script src="js/main-script.js?ver=<?php echo uniqid();?>"></script>

</body>
</html>